<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Personenverwaltung</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Personenverwaltung" />
    <meta name="author" content="BBW RL" />
    
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" th:href="@{/bootstrap-4.1.3/css/bootstrap.min.css}"/>
</head>
<body>
    <div class="container">
		<div class="row">
			<div class="col-12">
			<br/>
				<h1>Personenverwaltung</h1>
		    	<p>Übersicht</p>
			</div>
		</div>
		<div class="row">
			<div class="col-12">
				<table class="table">
				<thead>
					<tr>
						<th scope="col" th:text="Vorname"></th>
						<th scope="col" th:text="Nachname"></th>
						<th scope="col" th:text="E-Mail"></th>
						<th scope="col" th:text="Detail"></th>
						<th scope="col" th:text="Edit"></th>
						<th scope="col" th:text="Delete"></th>
					</tr>
				</thead>
				<tbody>
					<tr scope="row" th:each="person : ${personList}">
						<td th:text="${person.firstname}"></td>
						<td th:text="${person.lastname}"></td>
						<td th:text="${person.email}"></td>
						<td><a th:href="'/detail?id=' + ${person.id}">Detail</a></td>
						<td><a th:href="'/edit?id=' + ${person.id}">Edit</a></td>
						<td><a th:href="'/detail?id=' + ${person.id}" style="color: red;">Delete</a></td>
					</tr>
				</tbody>
				</table>

				<a href="/add" type="submit" class="btn btn-light">Person hinzufügen</a>
			</div>
		</div>
    </div>


	<!-- Bootstrap core JavaScript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<script th:src="@{/bootstrap-4.1.3/js/bootstrap.min.js}"></script>
	<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
</body>
</html>